      SUBROUTINE msgprt                                                 MSGP001
c                                                                       MSGP002
c     write the error messages to the output file                       MSGP003
c                                                                       MSGP004
      include 'sstruc.par'                                              MSGP005
      character wkrec*80                                                MSGP006
      integer   errflg                                                  MSGP007
                                                                        MSGP008
      rewind(unit=errfi)                                                MSGP009
      errflg = 0                                                        MSGP010
  200 continue                                                          MSGP011
      read(errfi,300,end=1000) wkrec                                    MSGP012
  300 format(A)                                                         MSGP013
      if (errflg .eq. 0) then                                           MSGP014
                                                                        MSGP015
CHECK v.1.0-->                                                          MSGP016
C         write(outfi,500)'Messages'                                    MSGP017
CHECK v.1.0<--                                                          MSGP018
                                                                        MSGP019
CHECK v.2.1.4-->                                                        MSGP020
C  500    format(////,x,A)                                              MSGP021
CHECK v.3.0.1-->                                                        MSGP022
C  500    format(////,1x,A)                                             MSGP023
CHECK v.3.0.1<--                                                        MSGP024
CHECK v.2.1.4<--                                                        MSGP025
      end if                                                            MSGP026
      errflg = 1                                                        MSGP027
                                                                        MSGP028
CHECK v.1.0-->                                                          MSGP029
C      write(outfi,*) wkrec                                             MSGP030
CHECK v.1.0<--                                                          MSGP031
                                                                        MSGP032
      write(*,*) wkrec                                                  MSGP033
      go to 200                                                         MSGP034
 1000 continue                                                          MSGP035
      close(unit=errfi)                                                 MSGP036
      END                                                               MSGP037
